Update Role Assignments
Note: Authorization in this context refers to role assignments, not to OAuth authorization.
UpdateAuthorization updates the authorization.
Note that any role keys previously granted to the user and not present in the request will be revoked.
Required permissions:
- "user.grant.write"
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.authorization.v2.AuthorizationService/UpdateAuthorization" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"changeDate": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
List Role Assignment
List Role Assignment: Note: Authorization in this context refers to role assignments, not to OAuth authorization. ListAuthorizations returns all authorizations matching the request and necessary permissions. Required pe...
Internal_permission API
Explore the Internal_permission API operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.